## bsdgames 2.1

=== atc/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	Tic-Tac-Toe airports box crosshatch game_3 game_4 novice two-corners
 
 INCS = -I../include $(NCURSES_INCS)
-DEFS = $(BSD_SIGNAL_DEFS) -DBSD -DYY_NO_UNPUT
+DEFS = -DBSD -DYY_NO_UNPUT
 
 all:	$(PROG)
