=== battlestar/Makefile ===
--- 
+++ 
@@ -14,8 +14,7 @@
 LIBS = $(NCURSES_LIB)
 
 INCS = -I../include $(NCURSES_INCS)
-
-DEFS = $(BSD_SIGNAL_DEFS)
+DEFS = 
 
 all:	$(PROG)
