## bsdgames 2.17

=== debian/changelog ===
bsdgames (2.17-35) unstable; urgency=medium

  * Revert removal of games. (Closes: #1069795, #1069807)
    All previously included games are included again, there is
    obviously demand for almost all of them. I've received many
    mails and bug reports to please keep a specific program.
    So I've decided to re-enable all of them. In my opinion, it's
    not sensible to switch to the alternative upstream at
    https://sourceforge.net/projects/bsd-games/, because too
    many games have been removed from those sources.
    This version of bsdgames is therefore essentially the same as
    version 2.17-30.  
  * Remove pbuilder setting from gbp.conf
  * Remove hunt from games, does no longer build
  * atc: Won't allocate 26th plane if it was the most recently allocated plane.
    Thanks to Jonathan David Amery <jdamery@ysolde.ucam.org> (Closes: #214626)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 23 Jan 2025 21:24:48 +0100

bsdgames (2.17-34) unstable; urgency=medium

  * Enable building of 'quiz' again. (Closes: #1069729)
  * Update Standards-Version to 4.7.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 24 Apr 2024 10:37:02 +0200

bsdgames (2.17-33) unstable; urgency=medium

  * Re-enable pom, still in use

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 06 Apr 2024 21:27:08 +0200

bsdgames (2.17-32) unstable; urgency=medium

  * Remove phantasia files from pre- and postinst. Closes: #1068243

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 02 Apr 2024 17:53:12 +0200

bsdgames (2.17-31) unstable; urgency=medium

  * Disable building of some games, in order to prepare for a new
    upstream version found at https://sourceforge.net/projects/bsd-games/
    - Update list of included games
    - Update d/rules for removed games
    - Update d/dirs for removed games
    - Remove obsolete .desktop files
  * List of games which have been removed:
    - bcd
    - boggle
    - countmail
    - hunt (This currently FTBFS. Closes: #1066266)
    - mille
    - monop
    - morse
    - number
    - phantasia
    - pig
    - pom
    - ppt
    - quiz
    - rain
    - random
    - wargames
    - worms

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 01 Apr 2024 18:10:52 +0200

bsdgames (2.17-30) unstable; urgency=medium

  * Change gbp.conf for DEP-14 branch layout
  * Switch to debhelper-compat
  * Refresh patches
  * Sync acronyms and acronyms.comp with NetBSD-HEAD
  * rain: Default delay is in wrong units, making it effectively 0.
    Thanks to Asher Gordon <AsDaGo@posteo.net> (Closes: #723808, #947222)
  * Revert WTF acronym.
    Thanks to Salvo Tomaselli <tiposchi@tiscali.it> (Closes: #930473)
  * trek: Fix error that prevents visual command from working
    under some circumstances.
    Thanks to James Baldwin-Brown <jgbaldwinbrown@gmail.com> (Closes: #964235)
  * Update README and remove games which are not installed.
    Thanks to Γιώργος Κωστόπουλος <giorgosk67@gmail.com> (Closes: #1030338)
  * Build-Depend on libncurses-dev instead of libncurses5-dev
  * Update Standards-Version to 4.6.2, no changes needed
  * Add Suggests: mailutils and sync countmail with NetBSD-HEAD.
    Thanks to Jakub Wilk <jwilk@jwilk.net> (Closes: #1042397)
  * Add desktop files and generic icon for all programs.
    Also remove obsolete d/menu file.
    (Closes: #723695, #723900, #726215)
  * Use debhelper v13

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 30 Jul 2023 00:42:16 +0200

bsdgames (2.17-29) unstable; urgency=medium

  * Team upload.
  * Specify format string literals for all printw() calls.
    Closes: #995597.

 -- Stephen Kitt <skitt@debian.org>  Mon, 11 Oct 2021 14:23:15 +0200

bsdgames (2.17-28) unstable; urgency=medium

  * hack: Fix segv when 'i' (inventory) done after load from saved game.
    Not all name information was saved or recovered leaving pointers to
    nothing.
    Thanks to Richard Henschel <rhenschel@accesscomm.ca>
  * Make choice of c compiler more flexible to help cross building.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #897048)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 28 Apr 2018 15:14:43 +0200

bsdgames (2.17-27) unstable; urgency=medium

  * Use debhelper v11
  * Run wrap-and-sort
  * Switch d/watch to version 4
  * Switch Vcs-URLs to salsa.d.o
  * Update Standards-Version to 4.1.4, no changes needed
  * Convert patch system from quilt to git-buildpackage
  * Rename and renumber patches, no content changes
  * Update acronyms from NetBSD. (Closes: #798185)
  * Update primes to NetBSD CVS from 2018-02-03. (Closes: #762653)
  * Better explanation how to read the documentation.
    Thanks to Ben Wong <galadriel@wongs.net> (Closes: #874680)
  * Create and install pdf file for trek documentation

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 27 Apr 2018 11:39:09 +0200

bsdgames (2.17-26) unstable; urgency=medium

  * Fix FTBFS with libncurses6.
    Thanks to Sven Joachim <svenjoac@gmx.de> (Closes: #880492)
  * Update Standards-Version to 4.1.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 01 Nov 2017 17:37:54 +0100

bsdgames (2.17-25) unstable; urgency=medium

  * Add libfl-dev to Build-Depends.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #846412)
  * Use debhelper v10
  * Update to Standards-Version 3.9.8, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 05 Dec 2016 18:27:24 +0100

bsdgames (2.17-24) unstable; urgency=medium

  [ Ben Finney ]
  * adventure:
    - Declare “Provides: adventure” as this is one possible implementation
      of the Colossal Cave Adventure.
    - Use Debian alternatives system to present ‘bsdgames-adventure’ as an
      implementation of ‘adventure’.

  [ Dr. Tobias Quathamer ]
  * Rename adventure to bsdgames-adventure. Together with the changes
    from Ben Finney above, this enables the update-alternatives system.
    Closes: #802422
  * Remove obsolete upstream site from d/watch

