=== debian/control ===
Source: bsdgames
Section: games
Priority: optional
Build-Depends: bison,
               debhelper-compat (= 13),
               flex,
               groff,
               libfl-dev,
               libncurses-dev,
               wamerican,
               wbritish
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/games-team/bsdgames
Vcs-Git: https://salsa.debian.org/games-team/bsdgames.git
Rules-Requires-Root: binary-targets

Package: bsdgames
Architecture: any
Depends: wamerican | wordlist, ${misc:Depends}, ${shlibs:Depends}
Provides: adventure
Suggests: mailutils
Description: collection of classic textual unix games
 This is a collection of some of the text-based games and amusements that
 have been enjoyed for decades on unix systems.
 .
 It includes these programs: adventure, arithmetic, atc, backgammon,
 battlestar, bcd, boggle, caesar, canfield, countmail, cribbage, dab,
 go-fish, gomoku, hack, hangman, mille, monop, morse, number, phantasia, pig,
 pom, ppt, primes, quiz, rain, random, robots, sail, snake, tetris, trek,
 wargames, worm, worms, wtf, wump
